32位Linux下安装64位Hadoop的问题

本人最近在学习Hadoop, 使用的版本为2.5.2,目前已经在Linux环境下搭建好了。
但是现在在hadoop中建立上传文件目录时,碰到如下问题:
在/hadoop-2.5.2/bin下执行: ./hdfs dfs -mkdir -p ~/hdfile
之后报出错误提示信息:
Java HotSpot(TM) Client VM warning: You have loaded library /home/wluser/hadoop-2.5.2/lib/native/libhadoop.so.1.0.0 which might have disabled stack guard. The VM will try to fix the stack guard now.
It's highly recommended that you fix the library with 'execstack -c ', or link it with '-z noexecstack'.
15/08/06 00:49:06 WARN util.NativeCodeLoader: Unable to load native-hadoop library for your platform... using builtin-java classes where applicable

之后发现,我安装的是64位的hadoop,与32位的linux系统环境相冲突,导致在执行命令时无法加载hadoop的native library。

请问我是应该重装64位的linux系统,还是应该重新编译64位的hadoop去32位?或者有没有其他更好的解决方法?

2个回答

如果你OS不想重装,那么就去编译32位的hadoop

qq_41579849
大耳朵图图呢 请问怎么编译
8 个月之前 回复

32位系统用不了64位的程序,指针的长度都不一样,你怎么共用。。编译一个32位的hadoop吧

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问